Ruby - Misc #20639

Request to host C API docs on docs.ruby-lang.org
07/16/2024 10:47 PM - alanwu (Alan Wu)

Status: Closed

Priority: Normal

Assignee: znz (Kazuhiro NISHIYAMA)
Description

Having a first-party documentation site benefits readers and helps

contributors improve the contents. The Ruby standard library API benefits from
being hosted on https://docs.ruby-lang.org and it would be nice if the C API
documentation produced by Doxygen can be hosted on the same site as well.

I'm not familiar with the logistics of hosting the documentation site, and traffic
is not free. But | think this is worth considering for the benefit of Ruby
extension authors and maintainers.

At the moment, https://github.com/ruby/actions generates the documentation with
Doxygen but it's not hosted anywhere as far as | can tell. Searching for

"Ruby C API documentation" on Google lead to guides about the API and no results
that provide a comprehensive up-to-date reference.

History

#1 - 07/17/2024 12:34 AM - znz (Kazuhiro NISHIYAMA)

They hosted on S3 directly (URLs can be deduced from the workflow file), but they are not for public now.

| agree to serve them on docs.ruby-lang.org.
We want to consider their URL before serving.
Current paths are:
e /en/VERSION/ for rdoc
¢ /ja/VERSION/ for rurema
® /ja/search/ for rurema-search
What path is good for documents generated by Doxygen?

#2 - 07/17/2024 02:27 PM - alanwu (Alan Wu)
| think /capi/en/VERSION is a good starting point.

#3 - 07/18/2024 01:39 AM - hsbt (Hiroshi SHIBATA)
- Status changed from Open to Assigned

- Assignee set to znz (Kazuhiro NISHIYAMA)

I'm +1 for this request.

@znz (Kazuhiro NISHIYAMA) Please let me know if you need to my support.

#4 - 07/26/2024 01:58 AM - znz (Kazuhiro NISHIYAMA)

| added https://docs.ruby-lang.org/capi/en/master/ and link from https://docs.ruby-lang.org/ to it.

#5 - 08/02/2024 07:20 PM - alanwu (Alan Wu)

- Status changed from Assigned to Closed

Thanks very much!
We can now work on making the docs even better over time.
